Skip to main content
POST
/
api
/
v1
/
purchase-orders
/
{po_id}
/
create-bill
Create Bill From Purchase Order
curl --request POST \
  --url https://api.example.com/api/v1/purchase-orders/{po_id}/create-bill \
  --header 'Content-Type: application/json' \
  --data '
{
  "billNumber": "<string>",
  "billType": "<string>",
  "supplierId": "<string>",
  "dueDate": "<string>",
  "status": "<string>",
  "notes": "<string>",
  "subtotal": 123,
  "taxRate": 123,
  "taxAmount": 123,
  "totalAmount": 123,
  "paidAmount": 123,
  "remainingBalance": 123,
  "currency": "<string>",
  "managementAccountId": "<string>",
  "sourceOfFunds": "<string>"
}
'
{
  "id": "<string>",
  "billNumber": "<string>",
  "status": "<string>",
  "totalAmount": 123,
  "createdAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

po_id
string
required

Body

application/json
billNumber
string | null
billType
string | null
supplierId
string | null
dueDate
string | null
status
string | null
notes
string | null
subtotal
number | null
taxRate
number | null
taxAmount
number | null
totalAmount
number | null
paidAmount
number | null
remainingBalance
number | null
currency
string | null
managementAccountId
string | null
sourceOfFunds
string | null

Response

Successful Response

id
string
required
billNumber
string | null
status
string | null
totalAmount
number | null
createdAt
string | null